<div
  class="btn-group-container mat-typography mat-app-background">
  <div class="btn-left-container">
    <app-menu-button
      data-cy="cases-menu-button"
      *ngrxLet="casesMenu$; let casesMenu"
      [buttonValue]="casesMenu?.id"
      [selected]="casesMenu?.selected"
      (buttonClicked)="railMenuItemRoute(casesMenu?.selected, $event.value)">
      <mat-icon>{{casesMenu?.icon}}</mat-icon>
    </app-menu-button>
    <app-menu-button
      data-cy="apps-menu-button"
      *ngrxLet="appsMenu$; let appsMenu"
      [buttonValue]="appsMenu?.id"
      [selected]="appsMenu?.selected"
      (buttonClicked)="railMenuItemRoute(appsMenu?.selected, $event.value)">
      <mat-icon>{{appsMenu?.icon}}</mat-icon>
    </app-menu-button>
  </div>
  <mat-sidenav-container
    [@.disabled]="true"
    [hasBackdrop]="false"
    class="side-nav-content-container">
    <mat-sidenav
      #drawer
      opened
      mode="side"
      position="start"
      [ngStyle]="(sidenavWidth$ | async)
        ? {'width': (sidenavWidth$ | async)}
        : initialMaxWidthStyle"
      [style.width.vw]="(sidenavWidth$ | async)"
      [style.max-width.vw]="(sidenavWidth$ | async)">
      <div
        class="side-nav-overflow side-nav-row-fill">
        <ng-container *ngIf="casesMenu$ | async as casesMenu">
          <div class="menu-item-container" *ngIf="casesMenu.selected">
            <app-cases-container [menuState]="casesMenu.contentState"></app-cases-container>
          </div>
        </ng-container>
        <ng-container *ngIf="appsMenu$ | async as appsMenu">
          <div class="menu-item-container" *ngIf="appsMenu.selected">
            <app-cases-label
              class="menu-label-clickable"
              [case]="(caseSelected$|async)"
              [selected]="(casesMenu$|async).selected"
              [contentLoaded]="(casesLoaded$|async)"
              (click)="railMenuItemRoute(false, 'Cases')">
            </app-cases-label>
            <app-apps-container></app-apps-container>
          </div>
        </ng-container>
      </div>
    </mat-sidenav>
    <mat-sidenav-content
      class="no-transition"
      [style.margin-left.vw]="(sidenavWidth$ | async)">
      <ng-content #sidenavContent></ng-content>
    </mat-sidenav-content>
  </mat-sidenav-container>
</div>
